package com.ywt.outpatient.domain.entity.center;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * 化验结果明细
 */
@Entity
@Table(name = "laboratory_detail")
public class LaboratoryDetail {
    @Id
    private Integer id;

    /**
     * 创建时间
     */
    @Column(name = "create_time", nullable = false)
    private Date createTime;

    /**
     * 是否删除（标识物理删除）
     */
    private Boolean deleted;

    /**
     * 用户id
     */
    @Column(name = "user_id", nullable = false)
    private Integer userId;

    /**
     * 检验报告单id
     */
    @Column(name = "inspection_id")
    private String inspectionId;

    /**
     * laboratory_report主键
     */
    @Column(name = "laboratory_report_id")
    private Integer laboratoryReportId;

    /**
     * 检验指标代码
     */
    @Column(name = "item_id")
    private String itemId;

    /**
     * 检验指标中文名称
     */
    @Column(name = "item_name")
    private String itemName;

    /**
     * 排序号，不需要排序的话可设成全部为0
     */
    @Column(name = "order_no")
    private String orderNo;

    /**
     * 检测结果
     */
    @Column(name = "test_result")
    private String testResult;

    /**
     * 剂量单位
     */
    @Column(name = "unit")
    private String unit;

    /**
     * 参考值范围
     */
    @Column(name = "item_ref")
    private String itemRef;

    /**
     * 检查日期（YYYY-MM-DD HH:MM:SS）
     */
    @Column(name = "test_date")
    private Date testDate;

    /**
     * 检验指标英文名称
     */
    @Column(name = "test_eng_name")
    private String testEngName;

    /**
     * 检验标本
     */
    @Column(name = "specim_type")
    private String specimType;

    /**
     * 异常标识
     */
    @Column(name = "result_flag")
    private String resultFlag;

    /**
     * HIS系统就诊人Id
     */
    @Column(name = "his_patient_id", nullable = false)
    private String hisPatientId;

    /**
     * 医院Id
     */
    @Column(name = "hospital_id")
    private Integer hospitalId;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Boolean getDeleted() {
        return deleted;
    }

    public void setDeleted(Boolean deleted) {
        this.deleted = deleted;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getInspectionId() {
        return inspectionId;
    }

    public void setInspectionId(String inspectionId) {
        this.inspectionId = inspectionId;
    }

    public Integer getLaboratoryReportId() {
        return laboratoryReportId;
    }

    public void setLaboratoryReportId(Integer laboratoryReportId) {
        this.laboratoryReportId = laboratoryReportId;
    }

    public String getItemId() {
        return itemId;
    }

    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getTestResult() {
        return testResult;
    }

    public void setTestResult(String testResult) {
        this.testResult = testResult;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getItemRef() {
        return itemRef;
    }

    public void setItemRef(String itemRef) {
        this.itemRef = itemRef;
    }

    public Date getTestDate() {
        return testDate;
    }

    public void setTestDate(Date testDate) {
        this.testDate = testDate;
    }

    public String getTestEngName() {
        return testEngName;
    }

    public void setTestEngName(String testEngName) {
        this.testEngName = testEngName;
    }

    public String getSpecimType() {
        return specimType;
    }

    public void setSpecimType(String specimType) {
        this.specimType = specimType;
    }

    public String getResultFlag() {
        return resultFlag;
    }

    public void setResultFlag(String resultFlag) {
        this.resultFlag = resultFlag;
    }

    public String getHisPatientId() {
        return hisPatientId;
    }

    public void setHisPatientId(String hisPatientId) {
        this.hisPatientId = hisPatientId;
    }

    public Integer getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Integer hospitalId) {
        this.hospitalId = hospitalId;
    }
}
